Scientific Linux 安全性更新:SL6.x i386/x86_64 上的 qemu-kvm

critical Nessus Plugin ID 97379

Synopsis

遠端 Scientific Linux 主機缺少一個或多個安全性更新。

描述

安全性修正:- 以 Cirrus CLGD 54xx VGA 模擬器支援建立的 Quick Emulator (Qemu) 易於發生超出邊界存取問題。透過 bitblt 副本以反向模式複製 VGA 資料時,就會發生這個問題。來賓中有權限的使用者可利用此缺陷,損毀 Qemu 處理程序,進而導致 DoS 或可能在主機上以 Qemu 處理程序的權限執行任意程式碼。(CVE-2017-2615) - 在以 IP 總和檢查碼常式建立的 QEMU 模擬器中,發現一個超出邊界讀取存取缺陷。計算 TCP/UDP 封包的總和檢查碼時可能會發生這種缺陷,這是因為 QEMU 函式會使用封包的承載長度,卻不依據資料緩衝區大小進行檢查。來賓中的使用者可能利用此缺陷使 QEMU 處理程序損毀 (拒絕服務)。(CVE-2016-2857) 此更新亦修正了下列錯誤:- 以前,在短時間內重新啟動客體虛擬機器超過 128 次會導致客體關機而非重新啟動,這是因為並未妥善清除 virtqueue。此更新確保以更妥當的方式清除 virtqueue,進而避免發生所述問題。安裝此更新後,請關閉所有執行中的虛擬機器。關閉並再次啟動所有虛擬機器後,此更新才會生效。

解決方案

更新受影響的套件。

另請參閱

http://www.nessus.org/u?c99b26da

Plugin 詳細資訊

嚴重性: Critical

ID: 97379

檔案名稱: sl_20170223_qemu_kvm_on_SL6_x.nasl

版本: 3.7

類型: local

代理程式: unix

已發布: 2017/2/24

已更新: 2021/6/3

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: High

分數: 7.3

CVSS v2

風險因素: High

基本分數: 9

媒介: AV:N/AC:L/Au:S/C:C/I:C/A:C

CVSS v3

風險因素: Critical

基本分數: 9.1

媒介: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H

弱點資訊

CPE: p-cpe:/a:fermilab:scientific_linux:qemu-guest-agent, p-cpe:/a:fermilab:scientific_linux:qemu-img, p-cpe:/a:fermilab:scientific_linux:qemu-kvm, p-cpe:/a:fermilab:scientific_linux:qemu-kvm-debuginfo, p-cpe:/a:fermilab:scientific_linux:qemu-kvm-tools, x-cpe:/o:fermilab:scientific_linux

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

修補程式發佈日期: 2017/2/23

弱點發布日期: 2016/4/12

參考資訊

CVE: CVE-2016-2857, CVE-2017-2615

IAVB: 2017-B-0024-S